
<?= $element->renderSubmenu('/1-lekce-zaklady'); ?>

<h1 class="mainTitle"><?= $template->title; ?></h1>

<h2 class="text-xl">1. Jaké klíčové slovíčko slouží pro výpis proměnné?</h2>
<p><b>echo</b></p>

<h2 class="text-xl">2. Co se stane, když budu dělit 0?</h2>
<p>Program vypíše chybu: "<b>Warning: Division by zero</b>".</p>

<h2 class="text-xl">3. Pomocí čeho se spojují řetězce?</h2>
<p>Řetězce se spojují pomocí <b>tečky</b>.</p>

<h2 class="text-xl">4. Jakých hodnot může nabývat logický datový typ? Zkus si jej vypsat. Vypíše se Ti něco?</h2>
<p>Logický datový typ může nabývat pouze hodnot <b>TRUE</b> a <b>FALSE</b>. FALSE nevypíše nic, ale TRUE vypíše <b>1</b>.</p>

<h2 class="text-xl">5. Pomocí echo mi vypiš obsah a obvod kruhu o průměru 10 cm.</h2>

<pre class="php">
&lt;?php
    <span class="php__var">$prumer</span> = <span class="php__num">10</span>;

    <span class="php__var">$obvodKruhu</span> = <span class="php__obj">M_PI</span> * <span class="php__var">$prumer</span>;
    <span class="php__var">$obsahKruhu</span> = <span class="php__obj">M_PI</span> * ((<span class="php__var">$prumer</span> * <span class="php__var">$prumer</span>) / <span class="php__num">4</span>);

    <span class="php__syntax">echo</span> <span class="php__str">"Obvod kruhu o průměru <span class="php__var">{$prumer}</span> cm je <span class="php__var">{$obvodKruhu}</span> cm a obsah kruhu je <span class="php__var">{$obsahKruhu}</span> cm&lt;sup&gt;2&lt;/sup&gt;"</span>;
?&gt;
</pre>

<h2 class="text-xl">6. Pomocí echo vypiš objem válce o výšce 10 metrů a poloměru 85 cm.</h2>

<pre class="php">
&lt;?php
    <span class="php__var">$polomer</span> = <span class="php__num">0.85</span>;
    <span class="php__var">$vyska</span> = <span class="php__num">10</span>;

    <span class="php__var">$objemValce</span> = <span class="php__obj">M_PI</span> * <span class="php__var">$polomer</span> * <span class="php__var">$polomer</span> * <span class="php__var">$vyska</span>;

    <span class="php__syntax">echo</span> <span class="php__str">"Objem válce o poloměru <span class="php__var">{$polomer}</span> cm a výšce <span class="php__var">{$vyska}</span> m je <span class="php__var">{$objemValce}</span> m&lt;sup&gt;3&lt;/sup&gt;"</span>;
?&gt;
</pre>

<h2 class="text-xl">7. Pomocí echo mi napiš jaký je celočíselný zbytek při dělění čísla 87 číslem 14.</h2>

<pre class="php">
&lt;?php
    <span class="php__syntax">echo</span> <span class="php__num">87</span> % <span class="php__num">14</span>;  <span class="php__comment">// výsledek je 3</span>
?&gt;
</pre>

<h2 class="text-xl">8. Určitě doma máš alespoň jednu skříň. Podívej se do ní a pomocí asociativního pole ji přepiš do datového typu pole.</h2>

<pre class="php">
&lt;?php
    <span class="php__var">$skrin</span> = <span class="php__syntax">array</span>(
        <span class="php__str">'policka1'</span> => <span class="php__syntax">array</span>(<span  class="php__str">'čepice'</span>, <span  class="php__str">'šály'</span>, <span  class="php__str">'kapesníky'</span>),
        <span class="php__str">'tycSVesaky1'</span> => <span class="php__syntax">array</span>(<span  class="php__str">'kalhoty'</span>),
        <span class="php__str">'tycSVesaky2'</span> => <span class="php__syntax">array</span>(<span  class="php__str">'kraťasy'</span>),
        <span class="php__str">'policka2'</span> => <span class="php__syntax">array</span>(<span  class="php__str">'boty'</span>, <span  class="php__str">'taška'</span>),
    );
?&gt;
</pre>

<h2 class="text-xl">9. Máš více skříňí? Skvělé! Pomocí objektu si vytvoř celý svůj šatník. :)</h2>

<pre class="php">
&lt;?php
    <span class="php__var">$satnik</span> = <span class="php__syntax">new</span> <span class="php__obj">stdClass</span>();

    <span class="php__var">$satnik</span>-><span class="php__obj">skrin1</span> = <span class="php__syntax">new</span> <span class="php__obj">stdClass</span>();
    <span class="php__var">$satnik</span>-><span class="php__obj">skrin2</span> = <span class="php__syntax">new</span> <span class="php__obj">stdClass</span>();
    <span class="php__var">$satnik</span>-><span class="php__obj">skrin3</span> = <span class="php__syntax">new</span> <span class="php__obj">stdClass</span>();

    <span class="php__var">$satnik</span>-><span class="php__obj">skrin1</span>-><span class="php__obj">policka1</span> => <span class="php__syntax">array</span>(<span  class="php__str">'čepice'</span>, <span  class="php__str">'šály'</span>, <span  class="php__str">'kapesníky'</span>);
    <span class="php__var">$satnik</span>-><span class="php__obj">skrin1</span>-><span class="php__obj">tycSVesaky1</span> => <span class="php__syntax">array</span>(<span  class="php__str">'kalhoty'</span>);
    <span class="php__var">$satnik</span>-><span class="php__obj">skrin1</span>-><span class="php__obj">tycSVesaky2</span> => <span class="php__syntax">array</span>(<span  class="php__str">'kraťasy'</span>);
    <span class="php__var">$satnik</span>-><span class="php__obj">skrin1</span>-><span class="php__obj">policka2</span> => <span class="php__syntax">array</span>(<span  class="php__str">'boty'</span>, <span  class="php__str">'taška'</span>);

    <span class="php__var">$satnik</span>-><span class="php__obj">skrin2</span>-><span class="php__obj">policka1</span> => <span class="php__syntax">array</span>(<span  class="php__str">'elektronika'</span>);
    <span class="php__var">$satnik</span>-><span class="php__obj">skrin2</span>-><span class="php__obj">policka2</span> => <span class="php__syntax">array</span>(<span  class="php__str">'dokumenty'</span>);
    <span class="php__var">$satnik</span>-><span class="php__obj">skrin2</span>-><span class="php__obj">policka3</span> => <span class="php__syntax">array</span>(<span  class="php__str">'ostatní'</span>);
    <span class="php__var">$satnik</span>-><span class="php__obj">skrin2</span>-><span class="php__obj">kos1</span> => <span class="php__syntax">array</span>(<span  class="php__str">'povlečení'</span>);
    <span class="php__var">$satnik</span>-><span class="php__obj">skrin2</span>-><span class="php__obj">kos2</span> => <span class="php__syntax">array</span>(<span  class="php__str">'povlečení'</span>);
    <span class="php__var">$satnik</span>-><span class="php__obj">skrin2</span>-><span class="php__obj">kos3</span> => <span class="php__syntax">array</span>(<span  class="php__str">'igelitky'</span>);
    <span class="php__var">$satnik</span>-><span class="php__obj">skrin2</span>-><span class="php__obj">kos4</span> => <span class="php__syntax">array</span>(<span  class="php__str">'věšáky'</span>);
    <span class="php__var">$satnik</span>-><span class="php__obj">skrin2</span>-><span class="php__obj">policka5</span> => <span class="php__syntax">array</span>(<span  class="php__str">'spacák'</span>, <span  class="php__str">'karimatky'</span>);

    <span class="php__var">$satnik</span>-><span class="php__obj">skrin3</span>-><span class="php__obj">tycSVesaky1</span> => <span class="php__syntax">array</span>(<span  class="php__str">'trička'</span>, <span  class="php__str">'bundy'</span>, <span  class="php__str">'košile'</span>, <span  class="php__str">'mikiny'</span>);
    <span class="php__var">$satnik</span>-><span class="php__obj">skrin3</span>-><span class="php__obj">kos1</span> => <span class="php__syntax">array</span>(<span  class="php__str">'věci na spaní'</span>);
    <span class="php__var">$satnik</span>-><span class="php__obj">skrin3</span>-><span class="php__obj">kos2</span> => <span class="php__syntax">array</span>(<span  class="php__str">'svetry'</span>);
    <span class="php__var">$satnik</span>-><span class="php__obj">skrin3</span>-><span class="php__obj">kos3</span> => <span class="php__syntax">array</span>(<span  class="php__str">'věci na sport'</span>);
    <span class="php__var">$satnik</span>-><span class="php__obj">skrin3</span>-><span class="php__obj">kos3</span> => <span class="php__syntax">array</span>(<span  class="php__str">'spodní prádlo'</span>, <span  class="php__str">'ponožky'</span>);

?&gt;
</pre>

<h2 class="text-xl">10. Jak vypíšeš celý svůj šatník z bodu 9? Vyzkoušej si to.</h2>

<pre class="php">
&lt;?php
    <span class="php__syntax">print_r</span>(<span class="php__var">$satnik</span>);
?&gt;
</pre>
